version: "3.9"

services:
  net1:
    image: 192.168.1.220:5000/metanet:v0.0.1
    container_name: net1
    entrypoint: /root/MetaNet --single-node --enable-prom --log-level debug --p2p-priv-key /root/default-priv-key --grpc-host 0.0.0.0 --grpc-port 38010 --p2p-host-ip 172.99.1.1
    deploy:
      restart_policy:
        condition: on-failure
        delay: 15s
        max_attempts: 100
        window: 120s
    ports:
      - "38011:38010"
    volumes:
      - ./data/net1:/root/data
    networks:
      meta:
        ipv4_address: 172.99.1.1

